package javax.wvcm;

public class ProviderFactoryTestCase extends junit.framework.TestCase {

    public ProviderFactoryTestCase(String name) {
        super(name);
    }

    /**
     * Tests {@link ProviderFactory#createProvider(String,ProviderFactory.Callback)}
     */
    public final void testCreateProviderStringCallback() throws Exception {
        ProviderFactory.Callback cb = new ProviderFactory.Callback() {
            public Authentication getAuthentication(String realm, Integer n) {
                return null;
            }
        };
        Class c = Class.forName("com.perforce.wvcm.P4");
        Provider p = ProviderFactory.createProvider(c.getName(), cb);
        assertEquals(c, p.getClass());
    }

}
